Summary: OpenFabrics Alliance InfiniBand MAD library
Name: libibmad
Version: 1.3.9
Release: 7.mlnx1.5.5r2%{?dist}
License: GPLv2 or BSD
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Source: http://www.openfabrics.org/downloads/management/%{name}-1.3.9.tar.gz
Url: http://openfabrics.org/
BuildRequires: libtool, libibumad-devel, glibc-devel
Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig
ExcludeArch: s390 s390x
Patch970: mlx_ofa_1.patch
Patch971: mlx_ofa_2.patch
Patch972: mlx_ofa_3.patch
Patch974: Update-version-for-next-release.patch
Patch980: Add-support-for-congestion-control-mads.patch
Patch990: libibmad-Add-support-for-SA-NodeRecord.patch
Patch997: libibmad-Add-support-for-congestion-control-config-m.patch
Patch999: libibmad-Add-MKey-support-to-SMP-requests-via-smp_mk.patch
Patch1000: libibmad-Add-NodeRecord-query-API.patch 
Patch1001: libibmad-Add-setting-of-errno-on-function-failure.patch

%description
libibmad provides low layer IB functions for use by the IB diagnostic
and management programs. These include MAD, SA, SMP, and other basic
IB functions. 

%package devel
Summary: Development files for the libibmad library
Group: System Environment/Libraries
Requires: %{name} = %{version}-%{release}, libibumad-devel

%description devel
Development files for the libibmad library.

%package static
Summary: Static version of the libibmad library
Group: System Environment/Libraries
Requires: %{name}-devel = %{version}-%{release}

%description static
Static version of the libibmad library

%prep
%setup -q
%patch970 -p1
%patch971 -p1
%patch972 -p1
%patch974 -p1
%patch980 -p1 -F 2
%patch990 -p1
%patch997 -p1
%patch999 -p1
%patch1000 -p1
%patch1001 -p1

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=${RPM_BUILD_ROOT} install
# remove unpackaged files from the buildroot
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libibmad*.so.*
%doc AUTHORS COPYING ChangeLog

%files devel
%defattr(-,root,root)
%{_libdir}/libibmad.so
%{_includedir}/infiniband/*.h

%files static
%defattr(-,root,root)
%{_libdir}/libibmad.a

%changelog
* Tue Jun 06 2013 Chien Yen <chien.yen@oracle.com> - 1.3.9-7.mlnx1.5.5r2
- removed errno = EIO in mad_rpc_rmpp()

* Fri May 24 2013 Chien Yen <chien.yen@oracle.com> - 1.3.9-5.mlnx1.5.5r2
- 16519038 16519051 16519007 - errno and support for IB_NODE_QUERY_VIA.

* Wed Feb 20 2013 Tianyue Lan <tianyue.lan@oracle.com> - 1.3.9-3.mlnx1.5.5r2
- rename the mellanox tarball with correct version libibmad-1.3.9.tar.gz 

* Mon Feb 11 2013 Tianyue Lan <tianyue.lan@oracle.com> - 1.3.9-2.mlnx1.5.5r2  
- replace src tall with the one from mellanox version OFED-IOV-1.5.5-2.0.0080

* Mon Oct 15 2012 Doug Ledford <dledford@redhat.com> - 1.3.9-1
- Update to latest upstream version (more SRIOV support)
- Related: bz756396

* Mon Jan 23 2012 Doug Ledford <dledford@redhat.com> - 1.3.8-1
- Update to latest upstream version (for FDR link speed support)
- Related: bz750609

* Fri Jul 22 2011 Doug Ledford <dledford@redhat.com> - 1.3.7-1
- Update to latest upstream version (1.3.4 -> 1.3.7)
- Related: bz725016

* Sat Feb 27 2010 Doug Ledford <dledford@redhat.com> - 1.3.4-1
- New upstream version

* Mon Jan 11 2010 Doug Ledford <dledford@redhat.com> - 1.3.3-2
- ExcludeArch s390(x) as there's no hardware support there

* Thu Dec 03 2009 Doug Ledford <dledford@redhat.com> - 1.3.3-1
- Update to latest upstream release

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Jul 20 2009 Doug Ledford <dledford@redhat.com> - 1.3.2-1
- Update to latest upstream version
- Require the same version of libibumad as our version

* Wed Apr 22 2009 Doug Ledford <dledford@redhat.com> - 1.3.1-1
- Update to latest upstream version

* Sat Mar 21 2009 Robert Scheck <robert@fedoraproject.org> - 1.2.0-3
- Rebuilt against libtool 2.2

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Jun 08 2008 Doug Ledford <dledford@redhat.com> - 1.2.0-1
- Initial package for Fedora review process
